
package lv.gov.eps.ivis.xmlschemas._100001.ivis.v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import lv.gov.eps.ivis.xmlschemas._100001.person.v1_0.PersonFullNameStructure;


/**
 * <p>Java class for InhabitantLegalEntityStructure complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InhabitantLegalEntityStructure">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PersonCode" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/Person/v1-0}PersonCodeType" minOccurs="0" form="qualified"/>
 *         &lt;element name="FullName" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/Person/v1-0}PersonFullNameStructure" minOccurs="0" form="qualified"/>
 *         &lt;element name="LegalEntityID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}PersonIDStructure" minOccurs="0" form="qualified"/>
 *         &lt;element name="LegalEntityName" type="{http://www.w3.org/2001/XMLSchema}normalizedString" minOccurs="0" form="qualified"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InhabitantLegalEntityStructure", propOrder = {
    "personCode",
    "fullName",
    "legalEntityID",
    "legalEntityName"
})
public class InhabitantLegalEntityStructure {

    @XmlElement(name = "PersonCode")
    protected String personCode;
    @XmlElement(name = "FullName")
    protected PersonFullNameStructure fullName;
    @XmlElement(name = "LegalEntityID")
    protected PersonIDStructure legalEntityID;
    @XmlElement(name = "LegalEntityName")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String legalEntityName;

    /**
     * Gets the value of the personCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonCode() {
        return personCode;
    }

    /**
     * Sets the value of the personCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonCode(String value) {
        this.personCode = value;
    }

    /**
     * Gets the value of the fullName property.
     * 
     * @return
     *     possible object is
     *     {@link PersonFullNameStructure }
     *     
     */
    public PersonFullNameStructure getFullName() {
        return fullName;
    }

    /**
     * Sets the value of the fullName property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonFullNameStructure }
     *     
     */
    public void setFullName(PersonFullNameStructure value) {
        this.fullName = value;
    }

    /**
     * Gets the value of the legalEntityID property.
     * 
     * @return
     *     possible object is
     *     {@link PersonIDStructure }
     *     
     */
    public PersonIDStructure getLegalEntityID() {
        return legalEntityID;
    }

    /**
     * Sets the value of the legalEntityID property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonIDStructure }
     *     
     */
    public void setLegalEntityID(PersonIDStructure value) {
        this.legalEntityID = value;
    }

    /**
     * Gets the value of the legalEntityName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLegalEntityName() {
        return legalEntityName;
    }

    /**
     * Sets the value of the legalEntityName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLegalEntityName(String value) {
        this.legalEntityName = value;
    }

}
