
package lv.gov.eps.ivis.xmlschemas._100001.ivis.v1_0;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for ResponseHeaderStructure complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ResponseHeaderStructure">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="MessageID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}UUIDType" minOccurs="0" form="qualified"/>
 *         &lt;element name="MessageType" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="TransactionID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="CorrelationID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}UUIDType" minOccurs="0" form="qualified"/>
 *         &lt;element name="PollInterval" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0" form="qualified"/>
 *         &lt;element name="TimeStamp" type="{http://www.w3.org/2001/XMLSchema}dateTime" form="qualified"/>
 *         &lt;element name="Result" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}ResultType" minOccurs="0" form="qualified"/>
 *         &lt;element name="ResponseEndPoint" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="NextMilestoneID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="ErrorList" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}ArrayOfErrorStructure" minOccurs="0" form="qualified"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ResponseHeaderStructure", propOrder = {
    "messageID",
    "messageType",
    "transactionID",
    "correlationID",
    "pollInterval",
    "timeStamp",
    "result",
    "responseEndPoint",
    "nextMilestoneID",
    "errorList"
})
public class ResponseHeaderStructure {

    @XmlElement(name = "MessageID")
    protected String messageID;
    @XmlElement(name = "MessageType")
    protected String messageType;
    @XmlElement(name = "TransactionID")
    protected String transactionID;
    @XmlElement(name = "CorrelationID")
    protected String correlationID;
    @XmlElement(name = "PollInterval")
    protected BigInteger pollInterval;
    @XmlElement(name = "TimeStamp", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar timeStamp;
    @XmlElement(name = "Result")
    protected ResultType result;
    @XmlElement(name = "ResponseEndPoint")
    protected String responseEndPoint;
    @XmlElement(name = "NextMilestoneID")
    protected String nextMilestoneID;
    @XmlElement(name = "ErrorList")
    protected ArrayOfErrorStructure errorList;

    /**
     * Gets the value of the messageID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMessageID() {
        return messageID;
    }

    /**
     * Sets the value of the messageID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMessageID(String value) {
        this.messageID = value;
    }

    /**
     * Gets the value of the messageType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMessageType() {
        return messageType;
    }

    /**
     * Sets the value of the messageType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMessageType(String value) {
        this.messageType = value;
    }

    /**
     * Gets the value of the transactionID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTransactionID() {
        return transactionID;
    }

    /**
     * Sets the value of the transactionID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTransactionID(String value) {
        this.transactionID = value;
    }

    /**
     * Gets the value of the correlationID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCorrelationID() {
        return correlationID;
    }

    /**
     * Sets the value of the correlationID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCorrelationID(String value) {
        this.correlationID = value;
    }

    /**
     * Gets the value of the pollInterval property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getPollInterval() {
        return pollInterval;
    }

    /**
     * Sets the value of the pollInterval property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setPollInterval(BigInteger value) {
        this.pollInterval = value;
    }

    /**
     * Gets the value of the timeStamp property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTimeStamp() {
        return timeStamp;
    }

    /**
     * Sets the value of the timeStamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTimeStamp(XMLGregorianCalendar value) {
        this.timeStamp = value;
    }

    /**
     * Gets the value of the result property.
     * 
     * @return
     *     possible object is
     *     {@link ResultType }
     *     
     */
    public ResultType getResult() {
        return result;
    }

    /**
     * Sets the value of the result property.
     * 
     * @param value
     *     allowed object is
     *     {@link ResultType }
     *     
     */
    public void setResult(ResultType value) {
        this.result = value;
    }

    /**
     * Gets the value of the responseEndPoint property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResponseEndPoint() {
        return responseEndPoint;
    }

    /**
     * Sets the value of the responseEndPoint property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResponseEndPoint(String value) {
        this.responseEndPoint = value;
    }

    /**
     * Gets the value of the nextMilestoneID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNextMilestoneID() {
        return nextMilestoneID;
    }

    /**
     * Sets the value of the nextMilestoneID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNextMilestoneID(String value) {
        this.nextMilestoneID = value;
    }

    /**
     * Gets the value of the errorList property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfErrorStructure }
     *     
     */
    public ArrayOfErrorStructure getErrorList() {
        return errorList;
    }

    /**
     * Sets the value of the errorList property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfErrorStructure }
     *     
     */
    public void setErrorList(ArrayOfErrorStructure value) {
        this.errorList = value;
    }

}
