package sample;

import org.apache.wss4j.common.ext.WSPasswordCallback;

import javax.security.auth.callback.Callback;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.UnsupportedCallbackException;
import java.io.IOException;

public class KeystorePasswordCallback implements CallbackHandler{
    
    private String keyPassword;

    public void setKeyPassword(String keyPassword) {
        this.keyPassword = keyPassword;
    }
                 
    @Override
    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException {   
        for (int i = 0; i < callbacks.length; i++) {
            WSPasswordCallback pc = (WSPasswordCallback)callbacks[i];
            pc.setPassword(this.keyPassword);
        }
    }
}