
package lv.gov.eps.ivis.xmlschemas._100001.ivis.v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import lv.gov.eps.ivis.xmlschemas._100001.person.v1_0.PersonFullNameStructure;


/**
 * <p>Java class for EmployeeStructure complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EmployeeStructure">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="EmployeeID" type="{http://www.w3.org/2001/XMLSchema}normalizedString" minOccurs="0" form="qualified"/>
 *         &lt;element name="AuthorityID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}AuthorityType" minOccurs="0" form="qualified"/>
 *         &lt;element name="AuthorityName" type="{http://www.w3.org/2001/XMLSchema}normalizedString" minOccurs="0" form="qualified"/>
 *         &lt;element name="FullName" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/Person/v1-0}PersonFullNameStructure" minOccurs="0" form="qualified"/>
 *         &lt;element name="PersonCode" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/Person/v1-0}PersonCodeType" minOccurs="0" form="qualified"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EmployeeStructure", propOrder = {
    "employeeID",
    "authorityID",
    "authorityName",
    "fullName",
    "personCode"
})
public class EmployeeStructure {

    @XmlElement(name = "EmployeeID")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String employeeID;
    @XmlElement(name = "AuthorityID")
    protected String authorityID;
    @XmlElement(name = "AuthorityName")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String authorityName;
    @XmlElement(name = "FullName")
    protected PersonFullNameStructure fullName;
    @XmlElement(name = "PersonCode")
    protected String personCode;

    /**
     * Gets the value of the employeeID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmployeeID() {
        return employeeID;
    }

    /**
     * Sets the value of the employeeID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmployeeID(String value) {
        this.employeeID = value;
    }

    /**
     * Gets the value of the authorityID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAuthorityID() {
        return authorityID;
    }

    /**
     * Sets the value of the authorityID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAuthorityID(String value) {
        this.authorityID = value;
    }

    /**
     * Gets the value of the authorityName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAuthorityName() {
        return authorityName;
    }

    /**
     * Sets the value of the authorityName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAuthorityName(String value) {
        this.authorityName = value;
    }

    /**
     * Gets the value of the fullName property.
     * 
     * @return
     *     possible object is
     *     {@link PersonFullNameStructure }
     *     
     */
    public PersonFullNameStructure getFullName() {
        return fullName;
    }

    /**
     * Sets the value of the fullName property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonFullNameStructure }
     *     
     */
    public void setFullName(PersonFullNameStructure value) {
        this.fullName = value;
    }

    /**
     * Gets the value of the personCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonCode() {
        return personCode;
    }

    /**
     * Sets the value of the personCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonCode(String value) {
        this.personCode = value;
    }

}
