
package lv.gov.eps.ivis.xmlschemas._100001.ivis.v1_0;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the lv.gov.eps.ivis.xmlschemas._100001.ivis.v1_0 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _IVISRequest_QNAME = new QName("http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0", "IVISRequest");
    private final static QName _IVISResponse_QNAME = new QName("http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0", "IVISResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: lv.gov.eps.ivis.xmlschemas._100001.ivis.v1_0
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ArrayOfErrorStructure }
     * 
     */
    public ArrayOfErrorStructure createArrayOfErrorStructure() {
        return new ArrayOfErrorStructure();
    }

    /**
     * Create an instance of {@link IVISRequestStructure }
     * 
     */
    public IVISRequestStructure createIVISRequestStructure() {
        return new IVISRequestStructure();
    }

    /**
     * Create an instance of {@link IVISRequestStructure.Body }
     * 
     */
    public IVISRequestStructure.Body createIVISRequestStructureBody() {
        return new IVISRequestStructure.Body();
    }

    /**
     * Create an instance of {@link ProcessStructure }
     * 
     */
    public ProcessStructure createProcessStructure() {
        return new ProcessStructure();
    }

    /**
     * Create an instance of {@link EmployeePoolStructure }
     * 
     */
    public EmployeePoolStructure createEmployeePoolStructure() {
        return new EmployeePoolStructure();
    }

    /**
     * Create an instance of {@link EmployeeStructure }
     * 
     */
    public EmployeeStructure createEmployeeStructure() {
        return new EmployeeStructure();
    }

    /**
     * Create an instance of {@link ErrorStructure }
     * 
     */
    public ErrorStructure createErrorStructure() {
        return new ErrorStructure();
    }

    /**
     * Create an instance of {@link Process2Structure }
     * 
     */
    public Process2Structure createProcess2Structure() {
        return new Process2Structure();
    }

    /**
     * Create an instance of {@link IVISResponseStructure.Body }
     * 
     */
    public IVISResponseStructure.Body createIVISResponseStructureBody() {
        return new IVISResponseStructure.Body();
    }

    /**
     * Create an instance of {@link InhabitantLegalEntityStructure }
     * 
     */
    public InhabitantLegalEntityStructure createInhabitantLegalEntityStructure() {
        return new InhabitantLegalEntityStructure();
    }

    /**
     * Create an instance of {@link RequestHeaderStructure }
     * 
     */
    public RequestHeaderStructure createRequestHeaderStructure() {
        return new RequestHeaderStructure();
    }

    /**
     * Create an instance of {@link NameIDStructure }
     * 
     */
    public NameIDStructure createNameIDStructure() {
        return new NameIDStructure();
    }

    /**
     * Create an instance of {@link IVISResponseStructure }
     * 
     */
    public IVISResponseStructure createIVISResponseStructure() {
        return new IVISResponseStructure();
    }

    /**
     * Create an instance of {@link ResponseHeaderStructure }
     * 
     */
    public ResponseHeaderStructure createResponseHeaderStructure() {
        return new ResponseHeaderStructure();
    }

    /**
     * Create an instance of {@link PersonIDStructure }
     * 
     */
    public PersonIDStructure createPersonIDStructure() {
        return new PersonIDStructure();
    }

    /**
     * Create an instance of {@link ParticipantStructure }
     * 
     */
    public ParticipantStructure createParticipantStructure() {
        return new ParticipantStructure();
    }

    /**
     * Create an instance of {@link UnqualifiedIdentityStructure }
     * 
     */
    public UnqualifiedIdentityStructure createUnqualifiedIdentityStructure() {
        return new UnqualifiedIdentityStructure();
    }

    /**
     * Create an instance of {@link InhabitantStructure }
     * 
     */
    public InhabitantStructure createInhabitantStructure() {
        return new InhabitantStructure();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IVISRequestStructure }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0", name = "IVISRequest")
    public JAXBElement<IVISRequestStructure> createIVISRequest(IVISRequestStructure value) {
        return new JAXBElement<IVISRequestStructure>(_IVISRequest_QNAME, IVISRequestStructure.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IVISResponseStructure }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0", name = "IVISResponse")
    public JAXBElement<IVISResponseStructure> createIVISResponse(IVISResponseStructure value) {
        return new JAXBElement<IVISResponseStructure>(_IVISResponse_QNAME, IVISResponseStructure.class, null, value);
    }

}
