
package lv.gov.eps.ivis.xmlschemas._100001.ivis.v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ParticipantStructure complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ParticipantStructure">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SystemID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="NameIdentifier" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}NameIDStructure" minOccurs="0" form="qualified"/>
 *         &lt;choice>
 *           &lt;element name="Employee" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}EmployeeStructure" minOccurs="0" form="qualified"/>
 *           &lt;element name="InhabitantLegalEntity" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}InhabitantLegalEntityStructure" minOccurs="0" form="qualified"/>
 *           &lt;element name="Process" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}ProcessStructure" minOccurs="0" form="qualified"/>
 *           &lt;element name="Inhabitant" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}InhabitantStructure" minOccurs="0" form="qualified"/>
 *           &lt;element name="EmployeePool" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}EmployeePoolStructure" minOccurs="0" form="qualified"/>
 *           &lt;element name="Process2" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}Process2Structure" minOccurs="0" form="qualified"/>
 *           &lt;element name="UnqualifiedIdentity" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}UnqualifiedIdentityStructure" minOccurs="0" form="qualified"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ParticipantStructure", propOrder = {
    "systemID",
    "nameIdentifier",
    "employee",
    "inhabitantLegalEntity",
    "process",
    "inhabitant",
    "employeePool",
    "process2",
    "unqualifiedIdentity"
})
public class ParticipantStructure {

    @XmlElement(name = "SystemID")
    protected String systemID;
    @XmlElement(name = "NameIdentifier")
    protected NameIDStructure nameIdentifier;
    @XmlElement(name = "Employee")
    protected EmployeeStructure employee;
    @XmlElement(name = "InhabitantLegalEntity")
    protected InhabitantLegalEntityStructure inhabitantLegalEntity;
    @XmlElement(name = "Process")
    protected ProcessStructure process;
    @XmlElement(name = "Inhabitant")
    protected InhabitantStructure inhabitant;
    @XmlElement(name = "EmployeePool")
    protected EmployeePoolStructure employeePool;
    @XmlElement(name = "Process2")
    protected Process2Structure process2;
    @XmlElement(name = "UnqualifiedIdentity")
    protected UnqualifiedIdentityStructure unqualifiedIdentity;

    /**
     * Gets the value of the systemID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSystemID() {
        return systemID;
    }

    /**
     * Sets the value of the systemID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSystemID(String value) {
        this.systemID = value;
    }

    /**
     * Gets the value of the nameIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link NameIDStructure }
     *     
     */
    public NameIDStructure getNameIdentifier() {
        return nameIdentifier;
    }

    /**
     * Sets the value of the nameIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link NameIDStructure }
     *     
     */
    public void setNameIdentifier(NameIDStructure value) {
        this.nameIdentifier = value;
    }

    /**
     * Gets the value of the employee property.
     * 
     * @return
     *     possible object is
     *     {@link EmployeeStructure }
     *     
     */
    public EmployeeStructure getEmployee() {
        return employee;
    }

    /**
     * Sets the value of the employee property.
     * 
     * @param value
     *     allowed object is
     *     {@link EmployeeStructure }
     *     
     */
    public void setEmployee(EmployeeStructure value) {
        this.employee = value;
    }

    /**
     * Gets the value of the inhabitantLegalEntity property.
     * 
     * @return
     *     possible object is
     *     {@link InhabitantLegalEntityStructure }
     *     
     */
    public InhabitantLegalEntityStructure getInhabitantLegalEntity() {
        return inhabitantLegalEntity;
    }

    /**
     * Sets the value of the inhabitantLegalEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link InhabitantLegalEntityStructure }
     *     
     */
    public void setInhabitantLegalEntity(InhabitantLegalEntityStructure value) {
        this.inhabitantLegalEntity = value;
    }

    /**
     * Gets the value of the process property.
     * 
     * @return
     *     possible object is
     *     {@link ProcessStructure }
     *     
     */
    public ProcessStructure getProcess() {
        return process;
    }

    /**
     * Sets the value of the process property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProcessStructure }
     *     
     */
    public void setProcess(ProcessStructure value) {
        this.process = value;
    }

    /**
     * Gets the value of the inhabitant property.
     * 
     * @return
     *     possible object is
     *     {@link InhabitantStructure }
     *     
     */
    public InhabitantStructure getInhabitant() {
        return inhabitant;
    }

    /**
     * Sets the value of the inhabitant property.
     * 
     * @param value
     *     allowed object is
     *     {@link InhabitantStructure }
     *     
     */
    public void setInhabitant(InhabitantStructure value) {
        this.inhabitant = value;
    }

    /**
     * Gets the value of the employeePool property.
     * 
     * @return
     *     possible object is
     *     {@link EmployeePoolStructure }
     *     
     */
    public EmployeePoolStructure getEmployeePool() {
        return employeePool;
    }

    /**
     * Sets the value of the employeePool property.
     * 
     * @param value
     *     allowed object is
     *     {@link EmployeePoolStructure }
     *     
     */
    public void setEmployeePool(EmployeePoolStructure value) {
        this.employeePool = value;
    }

    /**
     * Gets the value of the process2 property.
     * 
     * @return
     *     possible object is
     *     {@link Process2Structure }
     *     
     */
    public Process2Structure getProcess2() {
        return process2;
    }

    /**
     * Sets the value of the process2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Process2Structure }
     *     
     */
    public void setProcess2(Process2Structure value) {
        this.process2 = value;
    }

    /**
     * Gets the value of the unqualifiedIdentity property.
     * 
     * @return
     *     possible object is
     *     {@link UnqualifiedIdentityStructure }
     *     
     */
    public UnqualifiedIdentityStructure getUnqualifiedIdentity() {
        return unqualifiedIdentity;
    }

    /**
     * Sets the value of the unqualifiedIdentity property.
     * 
     * @param value
     *     allowed object is
     *     {@link UnqualifiedIdentityStructure }
     *     
     */
    public void setUnqualifiedIdentity(UnqualifiedIdentityStructure value) {
        this.unqualifiedIdentity = value;
    }

}
