
package lv.gov.eps.ivis.xmlschemas._100001.ivis.v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RequestHeaderStructure complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RequestHeaderStructure">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="MessageID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}UUIDType" minOccurs="0" form="qualified"/>
 *         &lt;element name="MessageType" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="TransactionID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="CorrelationID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}UUIDType" minOccurs="0" form="qualified"/>
 *         &lt;element name="Sender" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}ParticipantStructure" minOccurs="0" form="qualified"/>
 *         &lt;element name="Destination" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="Test" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}TestType" minOccurs="0" form="qualified"/>
 *         &lt;element name="MilestoneID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="ResponseEndPoint" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *         &lt;element name="NextMilestoneID" type="{http://ivis.eps.gov.lv/XMLSchemas/100001/IVIS/v1-0}URNType" minOccurs="0" form="qualified"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RequestHeaderStructure", propOrder = {
    "messageID",
    "messageType",
    "transactionID",
    "correlationID",
    "sender",
    "destination",
    "test",
    "milestoneID",
    "responseEndPoint",
    "nextMilestoneID"
})
public class RequestHeaderStructure {

    @XmlElement(name = "MessageID")
    protected String messageID;
    @XmlElement(name = "MessageType")
    protected String messageType;
    @XmlElement(name = "TransactionID")
    protected String transactionID;
    @XmlElement(name = "CorrelationID")
    protected String correlationID;
    @XmlElement(name = "Sender")
    protected ParticipantStructure sender;
    @XmlElement(name = "Destination")
    protected String destination;
    @XmlElement(name = "Test")
    protected String test;
    @XmlElement(name = "MilestoneID")
    protected String milestoneID;
    @XmlElement(name = "ResponseEndPoint")
    protected String responseEndPoint;
    @XmlElement(name = "NextMilestoneID")
    protected String nextMilestoneID;

    /**
     * Gets the value of the messageID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMessageID() {
        return messageID;
    }

    /**
     * Sets the value of the messageID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMessageID(String value) {
        this.messageID = value;
    }

    /**
     * Gets the value of the messageType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMessageType() {
        return messageType;
    }

    /**
     * Sets the value of the messageType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMessageType(String value) {
        this.messageType = value;
    }

    /**
     * Gets the value of the transactionID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTransactionID() {
        return transactionID;
    }

    /**
     * Sets the value of the transactionID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTransactionID(String value) {
        this.transactionID = value;
    }

    /**
     * Gets the value of the correlationID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCorrelationID() {
        return correlationID;
    }

    /**
     * Sets the value of the correlationID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCorrelationID(String value) {
        this.correlationID = value;
    }

    /**
     * Gets the value of the sender property.
     * 
     * @return
     *     possible object is
     *     {@link ParticipantStructure }
     *     
     */
    public ParticipantStructure getSender() {
        return sender;
    }

    /**
     * Sets the value of the sender property.
     * 
     * @param value
     *     allowed object is
     *     {@link ParticipantStructure }
     *     
     */
    public void setSender(ParticipantStructure value) {
        this.sender = value;
    }

    /**
     * Gets the value of the destination property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDestination() {
        return destination;
    }

    /**
     * Sets the value of the destination property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDestination(String value) {
        this.destination = value;
    }

    /**
     * Gets the value of the test property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTest() {
        return test;
    }

    /**
     * Sets the value of the test property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTest(String value) {
        this.test = value;
    }

    /**
     * Gets the value of the milestoneID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMilestoneID() {
        return milestoneID;
    }

    /**
     * Sets the value of the milestoneID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMilestoneID(String value) {
        this.milestoneID = value;
    }

    /**
     * Gets the value of the responseEndPoint property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResponseEndPoint() {
        return responseEndPoint;
    }

    /**
     * Sets the value of the responseEndPoint property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResponseEndPoint(String value) {
        this.responseEndPoint = value;
    }

    /**
     * Gets the value of the nextMilestoneID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNextMilestoneID() {
        return nextMilestoneID;
    }

    /**
     * Sets the value of the nextMilestoneID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNextMilestoneID(String value) {
        this.nextMilestoneID = value;
    }

}
